diff --git a/gpxe/src/config/general.h b/gpxe/src/config/general.h
index 0a9e625..de51f9f 100644
--- a/gpxe/src/config/general.h
+++ b/gpxe/src/config/general.h
@@ -55,8 +55,8 @@ FILE_LICENCE ( GPL2_OR_LATER );
 
 #define	DOWNLOAD_PROTO_TFTP	/* Trivial File Transfer Protocol */
 #define	DOWNLOAD_PROTO_HTTP	/* Hypertext Transfer Protocol */
-#undef	DOWNLOAD_PROTO_HTTPS	/* Secure Hypertext Transfer Protocol */
-#undef	DOWNLOAD_PROTO_FTP	/* File Transfer Protocol */
+#define	DOWNLOAD_PROTO_HTTPS	/* Secure Hypertext Transfer Protocol */
+#define	DOWNLOAD_PROTO_FTP	/* File Transfer Protocol */
 #undef	DOWNLOAD_PROTO_TFTM	/* Multicast Trivial File Transfer Protocol */
 #undef	DOWNLOAD_PROTO_SLAM	/* Scalable Local Area Multicast */
 
diff --git a/gpxe/src/config/general.h b/gpxe/src/config/general.h
index de51f9f..2f5a938 100644
--- a/gpxe/src/config/general.h
+++ b/gpxe/src/config/general.h
@@ -31,7 +31,7 @@ FILE_LICENCE ( GPL2_OR_LATER );
  * Timer configuration
  *
  */
-#define BANNER_TIMEOUT	20	/* Tenths of a second for which the shell
+#define BANNER_TIMEOUT	0	/* Tenths of a second for which the shell
 				   banner should appear */
 
 /*
diff --git a/gpxe/src/hci/shell_banner.c b/gpxe/src/hci/shell_banner.c
index 8afefe3..b92e08e 100644
--- a/gpxe/src/hci/shell_banner.c
+++ b/gpxe/src/hci/shell_banner.c
@@ -41,6 +41,9 @@ int shell_banner ( void ) {
 	int wait_count;
 	int key;
 
+	if ( BANNER_TIMEOUT <= 0 )
+		return enter_shell;
+
 	printf ( "\nPress Ctrl-B for the gPXE command line..." );
 
 	/* Wait for key */
diff --git a/gpxe/src/include/gpxe/tcp.h b/gpxe/src/include/gpxe/tcp.h
index 7ae7eab..9dc39fc 100644
--- a/gpxe/src/include/gpxe/tcp.h
+++ b/gpxe/src/include/gpxe/tcp.h
@@ -286,8 +286,8 @@ struct tcp_options {
  * actually use 65536, we use a window size of (65536-4) to ensure
  * that payloads remain dword-aligned.
  */
-//#define TCP_MAX_WINDOW_SIZE	( 65536 - 4 )
-#define TCP_MAX_WINDOW_SIZE	4096
+#define TCP_MAX_WINDOW_SIZE	( 65536 - 4 )
+//#define TCP_MAX_WINDOW_SIZE	4096
 
 /**
  * Path MTU
diff --git a/gpxe/src/core/malloc.c b/gpxe/src/core/malloc.c
index 8b0bc24..0153748 100644
--- a/gpxe/src/core/malloc.c
+++ b/gpxe/src/core/malloc.c
@@ -78,9 +78,9 @@ size_t freemem;
 /**
  * Heap size
  *
- * Currently fixed at 128kB.
+ * Currently fixed at 512kB.
  */
-#define HEAP_SIZE ( 128 * 1024 )
+#define HEAP_SIZE ( 512 * 1024 )

 /** The heap itself */
 static char heap[HEAP_SIZE] __attribute__ (( aligned ( __alignof__(void *) )));
